## fonts-hosny-amiri 1.000

=== Makefile ===
.PHONY: all clean ttf web pack check

NAME=Amiri
LATIN=AmiriLatin
TAG=$(shell git describe --tags --abbrev=0)
VERSION=$(TAG:v%=%)

SRC=sources
BUILDDIR=build
SCRIPTSDIR=scripts
FONTSDIR=fonts
DOC=documentation
FONTS=$(NAME)-Regular $(NAME)-Bold $(NAME)-Italic $(NAME)-BoldItalic $(NAME)Quran $(NAME)QuranColored
DIST=$(NAME)-$(VERSION)
LICENSE=OFL.txt

BUILD=${SCRIPTSDIR}/build.py
MAKEQURAN=${SCRIPTSDIR}/mkquran.py
PY ?= python

TTF=$(FONTS:%=${FONTSDIR}/%.ttf)
HTML=$(DOC)/Documentation-Arabic.html
FEA=$(wildcard $(SRC)/*.fea)

export SOURCE_DATE_EPOCH ?= 0

all: ttf

ttf: $(TTF)
doc: $(HTML)

$(BUILDDIR)/$(NAME).designspace: $(SRC)/$(NAME).glyphs
	@echo "   UFO	$@"
	@glyphs2ufo --minimal --generate-GDEF --output-dir=$(BUILDDIR) $<

$(BUILDDIR)/%.ufo: $(BUILDDIR)/$(NAME).designspace
	@echo "   UFO	$@"

${FONTSDIR}/$(NAME)QuranColored.ttf: $(BUILDDIR)/$(NAME)-Regular.ufo $(SRC)/$(LATIN)-Regular.ufo $(SRC)/$(NAME).fea $(FEA) $(LICENSE) $(BUILD)
	@echo "   GEN	$@"
	@$(PY) $(BUILD) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --license $(LICENSE) --quran

${FONTSDIR}/$(NAME)Quran.ttf: ${FONTSDIR}/$(NAME)QuranColored.ttf $(MAKEQURAN)
	@echo "   GEN	$@"
	@$(PY) $(MAKEQURAN) $< $@

${FONTSDIR}/$(NAME)-Regular.ttf: $(BUILDDIR)/$(NAME)-Regular.ufo $(SRC)/$(LATIN)-Regular.ufo $(SRC)/$(NAME).fea $(FEA) $(LICENSE) $(BUILD)
	@echo "   GEN	$@"
	@$(PY) $(BUILD) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --license $(LICENSE)

${FONTSDIR}/$(NAME)-Italic.ttf: $(BUILDDIR)/$(NAME)-Regular.ufo $(SRC)/$(LATIN)-Italic.ufo $(SRC)/$(NAME).fea $(FEA) $(LICENSE) $(BUILD)
	@echo "   GEN	$@"
	@$(PY) $(BUILD) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --license $(LICENSE) --slant=10

${FONTSDIR}/$(NAME)-Bold.ttf: $(BUILDDIR)/$(NAME)-Bold.ufo $(SRC)/$(LATIN)-Bold.ufo $(SRC)/$(NAME).fea $(FEA) $(LICENSE) $(BUILD)
	@echo "   GEN	$@"
	@$(PY) $(BUILD) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --license $(LICENSE)

${FONTSDIR}/$(NAME)-BoldItalic.ttf: $(BUILDDIR)/$(NAME)-Bold.ufo $(SRC)/$(LATIN)-BoldItalic.ufo $(SRC)/$(NAME).fea $(FEA) $(LICENSE) $(BUILD)
	@echo "   GEN	$@"
	@$(PY) $(BUILD) --input $< --output $@ --features=$(SRC)/$(NAME).fea --version $(VERSION) --license $(LICENSE) --slant=10

$(DOC)/Documentation-Arabic.html: $(DOC)/Documentation-Arabic.md
	@echo "   GEN	$@"
	@pandoc $< -o $@ -f markdown-smart -t html -s -c Documentation-Arabic.css

check: $(TTF)
	@$(foreach font,$+,echo "   OTS	$(font)" && python -m ots --quiet $(font) &&) true

clean:
	rm -rfv $(TTF) $(HTML)

distclean: clean
	rm -rf $(DIST){,.zip}

dist: ttf check pack doc
	@echo "   DIST	$(DIST)"
	@rm -rf $(DIST){,.zip}
	@install -Dm644 -t $(DIST) $(LICENSE)
	@install -Dm644 -t $(DIST) $(TTF)
	@install -Dm644 -t $(DIST) README.md
	@install -Dm644 -t $(DIST) README-Arabic.md
	@install -Dm644 -t $(DIST) NEWS.md
	@install -Dm644 -t $(DIST) NEWS-Arabic.md
	@install -Dm644 -t $(DIST) $(HTML)
	@echo "   DROP GLYPH NAMES"
	@$(PY) ${SCRIPTSDIR}/no-glyphnames.py $(DIST)/*.ttf
	@echo "   ZIP  $(DIST)"
	@zip -rq $(DIST).zip $(DIST)

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile requirements.in
#
appdirs==1.4.4
    # via fs
attrs==22.1.0
    # via ufolib2
booleanoperations==0.9.0
    # via ufo2ft
cffsubr==0.2.9.post1
    # via ufo2ft
cu2qu==1.6.7.post1
    # via ufo2ft
defcon==0.10.1
    # via glyphsets
fonttools[lxml,ufo,unicode]==4.34.4
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   cu2qu
    #   defcon
    #   glyphsets
    #   glyphslib
    #   ufo2ft
    #   ufolib2
fs==2.4.16
    # via fonttools
glyphsets==0.5.2
    # via -r requirements.in
glyphslib==6.0.7
    # via glyphsets
lxml==4.9.1
    # via fonttools
openstep-plist==0.3.0
    # via glyphslib
opentype-sanitizer==8.2.1
    # via -r requirements.in
pcpp==1.30
    # via -r requirements.in
pyclipper==1.3.0.post3
    # via booleanoperations
six==1.16.0
    # via fs
skia-pathops==0.7.2
    # via ufo2ft
ufo2ft[pathops]==2.28.0
    # via -r requirements.in
ufolib2==0.13.1
    # via
    #   -r requirements.in
    #   glyphslib
unicodedata2==14.0.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
fonts-hosny-amiri (1.000-1) unstable; urgency=medium

  * New upstream version 1.000 (Closes: #1026949)
  * d/watch: update
  * Update copyright years
  * d/docs: install all files in documentation dir
  * d/control: updated standards version to 3.6.2
  * d/install: update source fonts path
  * Add privacy.diff patch to remove reference to a javascript from an external website
  * d/u/metadata: remove Homepage field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 11 Apr 2023 07:52:41 +0200

fonts-hosny-amiri (0.113-1) unstable; urgency=medium

  * New upstream version 0.113
  * Update standards version to 4.5.0
  * Bumped compat level to 13
  * Drop fontforge from build deps
  * Fix field spacing
  * Update fonts team email address

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 16:19:56 +0200

=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.amirifont.org
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri

Package: fonts-hosny-amiri
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.

## fonts-hosny-amiri 1.001

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile requirements.in
#
appdirs==1.4.4
    # via fs
attrs==24.2.0
    # via ufolib2
booleanoperations==0.9.0
    # via ufo2ft
certifi==2024.8.30
    # via requests
cffsubr==0.3.0
    # via ufo2ft
charset-normalizer==3.4.0
    # via requests
defcon==0.10.3
    # via glyphsets
fontmath==0.9.4
    # via ufo2ft
fonttools[lxml,ufo,unicode]==4.55.0
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   defcon
    #   fontmath
    #   glyphsets
    #   glyphslib
    #   ufo2ft
    #   ufolib2
fs==2.4.16
    # via fonttools
gflanguages==0.7.1
    # via glyphsets
glyphsets==0.6.18
    # via -r requirements.in
glyphslib==6.9.5
    # via
    #   -r requirements.in
    #   glyphsets
idna==3.10
    # via requests
lxml==5.3.0
    # via fonttools
openstep-plist==0.4.0
    # via glyphslib
opentype-sanitizer==9.2.0
    # via -r requirements.in
pcpp==1.30
    # via -r requirements.in
protobuf==3.20.3
    # via gflanguages
pyclipper==1.3.0.post6
    # via booleanoperations
pyyaml==6.0.2
    # via glyphsets
requests==2.32.3
    # via glyphsets
six==1.16.0
    # via fs
skia-pathops==0.8.0.post2
    # via ufo2ft
ufo2ft[pathops]==3.3.1
    # via -r requirements.in
ufolib2==0.16.1
    # via
    #   -r requirements.in
    #   glyphslib
unicodedata2==15.1.0
    # via
    #   fonttools
    #   glyphsets
urllib3==2.2.3
    # via requests

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
fonts-hosny-amiri (1.001-1) unstable; urgency=medium

  * New upstream version 1.001
  * Update copyright years
  * d/control: bump standards version to 4.7.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 09 Dec 2024 17:41:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.amirifont.org
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_test:

## fonts-hosny-amiri 1.003

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ttf: $(TTF)
 doc: $(HTML)
 
-$(BUILDDIR)/$(NAME).designspace: $(SRC)/$(NAME).glyphs
+$(BUILDDIR)/$(NAME).designspace: $(SRC)/$(NAME).glyphspackage
 	@echo "   UFO	$@"
 	@glyphs2ufo --minimal --generate-GDEF --output-dir=$(BUILDDIR) $<

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
appdirs==1.4.4
    # via fs
attrs==23.1.0
    # via ufolib2
booleanoperations==0.9.0
    # via ufo2ft
cffsubr==0.2.9.post1
    # via ufo2ft
defcon==0.10.3
    # via glyphsets
fonttools[lxml,ufo,unicode]==4.43.1
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   defcon
    #   glyphsets
    #   glyphslib
    #   ufo2ft
    #   ufolib2
fs==2.4.16
    # via fonttools
glyphsets==0.6.4
    # via -r requirements.in
glyphslib==6.4.1
    # via
    #   -r requirements.in
    #   glyphsets
lxml==4.9.3
    # via fonttools
openstep-plist==0.3.1
    # via glyphslib
opentype-sanitizer==9.1.0
    # via -r requirements.in
pcpp==1.30
    # via -r requirements.in
pyclipper==1.3.0.post5
    # via booleanoperations
six==1.16.0
    # via fs
skia-pathops==0.8.0.post1
    # via ufo2ft
ufo2ft[pathops]==2.33.4
    # via -r requirements.in
ufolib2==0.16.0
    # via
    #   -r requirements.in
    #   glyphslib
unicodedata2==15.1.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
fonts-hosny-amiri (1.003-2) unstable; urgency=medium

  * Drop redundant Rules-Requires-Root field
  * d.watch, d/upstream/metadata: update URLs of GitHub repo

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 09 Nov 2025 02:15:20 +0100

fonts-hosny-amiri (1.003-1) unstable; urgency=medium

  * New upstream version 1.003
  * d/copyright:
    + fix typo in Format field name
    + Update copyright years
  * d/control: bump standards version to 4.7.2
  * Dropped privacy.diff patch, applied upstream
  * Add f/doc-base

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 12 Aug 2025 17:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.amirifont.org
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri

=== debian/watch ===
version=4

https://github.com/aliftype/amiri/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@
